Skip to main content
GET
/
api
/
restock-order-plan
/
{id}
/
items
List restock order plan items
curl --request GET \
  --url https://app.solya.app/api/restock-order-plan/{id}/items \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "ropi-uuid-001",
      "quantity": 12,
      "shopId": "shop-uuid-paris-opera",
      "sizeId": "sz-uuid-43",
      "status": "TO_REVIEW",
      "unitCost": 45,
      "variantId": "var-uuid-adidas-stan"
    },
    {
      "id": "ropi-uuid-002",
      "quantity": 6,
      "shopId": "shop-uuid-paris-opera",
      "sizeId": "sz-uuid-42",
      "status": "APPROVED",
      "unitCost": 62.5,
      "variantId": "var-uuid-nike-air"
    }
  ],
  "total": 2,
  "totals": {
    "quantity": 18,
    "value": 915
  }
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Path Parameters

id
string
required

Restock order plan identifier

Minimum string length: 1

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true